RubyGems Navigation menu

opt-simple 0.9.12

Parameter specification, validity checking and argument transformations can be put in one place, default parameters are easily set, and an automatic usage statement is constructed.

Gemfile
          gem 'opt-simple', '~> 0.9.12'
  
  
  
  
  
  
  

install
          gem install opt-simple
  
  
  
  
  
  
  

Total downloads 17,700

For this version 1,089

Show all versions (17 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.9.12 - December 27, 2011 (14.5 KB)
  2. 0.9.11 - November 20, 2011 (14.5 KB)
  3. 0.9.10 - October 23, 2011 (13.5 KB)
  4. 0.9.9 - July 8, 2011 (13.5 KB)
  5. 0.9.8 - April 4, 2011 (12.5 KB)
Show all versions (17 total)